Skip to navigation

Get one report

Retrieves a report for a given report ID. If you don’t have the report id, it is recommended to use the embedded reports key on a completed verification object returned from GET /orders. You can get the report in PDF format by adding Accept: application/pdf to your headers. When testing, please use the generated curl command with --output <PDF filename> specified.

Only completed Reports will be returned. Any other request will fail with either 400 or 404, and provide more information as an attached error message.

Authentication

AuthorizationBearer

Bearer tokens conform to the RFC6750 spec.

Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.

Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.

Examples

  • For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
  • For the "try it now" token field, input only the token itself, omitting Bearer .

Path parameters

verification_report_idstringRequired
Report ID

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Query parameters

include_income_analyticsbooleanOptionalDefaults to false
Whether to calculate income analytics for the nested reports in each verification.
include_report_annotationsbooleanOptionalDefaults to false
Whether to include annotations for the nested reports in each verification.
fieldsstring or nullOptional

Comma-separated names of fields to include in the response. Separate multiple fields with commas, and denote subfields with parentheses. Multiple subfields from the same type can be listed within parentheses. In case of a list, subfields apply to each individual object. If omitted, all fields are included.

Response headers

DatestringOptional
For JSON requests, the date at which the request was signed
X-Truework-SignaturestringOptional

For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

OK
Verification Reportobject
An employment or income verification report containing employee details, employer information, and position history.
OR
Verification of Assets Reportobject
A verification of assets report containing financial institution account balances and transaction history.
OR
Self Employment Reportobject

A self-employment report containing business information for a self-employed target.

OR
Rental Income Reportobject
A rental income report containing verification details for a borrower's rental property.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error